C+
C NAME:
C	ArrI4Reverse
C PURPOSE:
C	Reverse entries in integer*4 array
C CALLING SEQUENCE:
	subroutine ArrI4Reverse(N,A,B)
C SEE ALSO:
C	Array_Info
C-
	    integer	N
	    integer	A(*)
	    integer	B(*)

	integer		tmp

	N1 = N+1
	N2 = N/2
	do I=1,N2
	    NI    = N1-I
	    tmp   = A(I)
	    B(I ) = A(NI)
	    B(NI) = tmp
	end do

	if (2*N2 .ne. N) B(N2+1) = A(N2+1)

	return
	end
